Issue 122265 - Update the year in the About dialog
Update the year in the About dialog
Status: VERIFIED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 blocker (vote)
: 4.0.0
Assigned To: jsc
edoardopanfili
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 18:35 UTC by Rob Weir
Modified: 2013-07-12 11:24 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---
robweir: 4.0.0_release_blocker+


Attachments
ABOUT_STR_COPYRIGHT in all languages (28.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-14 17:42 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rob Weir 2013-05-09 18:35:09 UTC
Help/About Box copyright statement still says 2012.  It should be updated to 2013.

Another idea would be to make it be determined at build time.
Comment 1 Ariel Constenla-Haile 2013-05-13 02:23:57 UTC
Adding Jürgen on CC

@jsc: this will trigger a translation update because the string is marked as translatable; beside, there have been other suggestions about modifying the string contents on the mailing list.
Comment 2 jsc 2013-05-13 07:08:08 UTC
updating at build time sounds good but I don't know if that is allowed
Comment 3 oooforum 2013-05-14 12:58:02 UTC
For us (french), we can change it.
Should we to set it or not?
Thanks
Comment 4 Ariel Constenla-Haile 2013-05-14 17:38:59 UTC
(In reply to comment #3)
> For us (french), we can change it.
> Should we to set it or not?

You have to wait for original en-US string to be updated
Comment 5 Ariel Constenla-Haile 2013-05-14 17:42:47 UTC
Created attachment 80682 [details]
ABOUT_STR_COPYRIGHT in all languages

The document contains the translation of ABOUT_STR_COPYRIGHT in all languages as available on the AOO340 branch.

Spreadsheet "Released" contains only languages released in 3.4.1 (27 + en-US).

The question still open is weather to mark "Copyright © %YEAR%  Apache Software Foundation." as a string that should not be translated at all.
Comment 6 Marcus 2013-05-14 18:53:41 UTC
@jsc: I don't know why this shouldn't be allowed. Any reason(s) you think it's maybe not that good? Thanks.
Comment 7 jsc 2013-05-17 09:29:08 UTC
I would say we mark "Copyright © %YEAR%  Apache Software Foundation." as a string that should not be translated at all. Or even better we extract it from the resource and add it in the code directly.
Comment 8 Ariel Constenla-Haile 2013-05-17 13:39:18 UTC
(In reply to comment #7)
> I would say we mark "Copyright © %YEAR%  Apache Software Foundation." as a
> string that should not be translated at all. Or even better we extract it
> from the resource and add it in the code directly.

Can the year be set at build time?
The only thing I can imagine right now, is setting a variable in set_soenv.in

my $build_year = (localtime)[5] + 1900;
ToFile( "BUILD_YEAR",        "$build_year", "e" );
Comment 9 Rob Weir 2013-05-17 13:51:42 UTC
Possible issue with updating it at build time.  It is a date, but it is also stating an owner.  The date should reflect the date of when the creative work was made.  And the owner should reflect who made the creative content.

So suppose we publish AOO 4.0 in 2013.  It is correct that it says "Copyright 2013, The Apache Software Foundation".

But then suppose someone downloads the source code, and rebuilds it in 2014.   Several scenarios:

1) They make no changes, but just rebuild it.  Since there is no creative change, the copyright should remain 2013.  It is like when you just reprint a book.  The copyright doesn't change.  But if you make a new edition, i.e., content changes, then you change the copyright.

2) What if a 3rd party does make changes?  The date can change, but the owner does as well.  So it should say something like "Copyright Foobar Corporation 2014, portion copyright The Apache Software Foundation", or something like that.

Note:  the copyright statement should not be translated.  This is per US regulations:

http://www.copyright.gov/title37/202.html See: § 202.2 (a)(4)

Since the ASF is US-based we should follow those rules.
Comment 10 jsc 2013-05-17 14:14:15 UTC
@Ariel, I am already working on it...

I currently set a define i the makefile -> date -"%Y" and use it in the source. I split the string in several parts.

1. "Copyright © 2013 Apache Software Foundation.
All rights reserved."

not translated and the year is set based on the define or if no define to 2013 to ensure a date

2. depending OOOVENDOR
2.1 if OOVENDOR is not Apache Software Foundation

"This product was created by %OOOVENDOR, based on Apache OpenOffice."

2.2.

"This product was created by the OpenOffice community."

3. "The OpenOffice commnity acknowledges all contributing members, especially those mentioned at"

My plan was to prepare screen shots with both and go back on the mailing list.
Comment 11 jsc 2013-05-17 14:17:31 UTC
I can take the latest comment form Rob into account and can make the copyright statement depending on OOOVENDOR as well
Comment 12 jsc 2013-05-17 14:21:37 UTC
@Ariel I hope I have not triggered duplicate work now, you can assign the issue to me to signal that I should continue. Sorry for potential confusion
Comment 13 Ariel Constenla-Haile 2013-05-17 14:33:45 UTC
(In reply to comment #12)
> @Ariel I hope I have not triggered duplicate work now, you can assign the
> issue to me to signal that I should continue. Sorry for potential confusion

Nop I was going to start tomorrow ;)
Comment 14 SVN Robot 2013-05-21 05:53:22 UTC
"jsc" committed SVN revision 1484665 into trunk:
#122265# split resource string to get more flexibility and drop general copyr...
Comment 15 jsc 2013-05-21 07:31:04 UTC
fixed
Comment 16 jsc 2013-05-21 07:34:10 UTC
I have split the string to get more flexibility. The general copyright statement is removed from the translation and will be set in dependency of the OOOVENDOR variable. If the vendor is not the ASF, we add a portion copyright statement to the ASF additionally.

I change the translation string also to use some other wording. A little bit more space between the section is also used.
Comment 17 edoardopanfili 2013-07-05 14:12:14 UTC
Verified on OS X 10.8
AOO400m2(Build:9701)  -  Rev. 1496831
2013-06-25 15:52:47 (Tue, 25 Jun 2013)


and on Windows 8
AOO400m2(Build:9701)  -  Rev. 1489073
2013-06-03 13:48:37 (Mo, 03 Jun 2013)